Package uk.ac.starlink.topcat

## Class InverseRowSubset

- java.lang.Object
- - uk.ac.starlink.topcat.RowSubset
  - - uk.ac.starlink.topcat.InverseRowSubset

-     public class InverseRowSubset
      extends RowSubset

  RowSubset implementation which provides the complement of a base set.
  Since:
    26 Mar 2004
  Author:
    Mark Taylor (Starlink)

- - ### Field Summary

    - ### Fields inherited from class uk.ac.starlink.topcat.RowSubset

      `ALL, NONE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InverseRowSubset​(RowSubset base)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RowSubset` | `getInvertedSubset()` | Returns the subset on which this one is based.
    `boolean` | `isIncluded​(long lrow)` | Indicates whether a given row is in the subset or not.

    - ### Methods inherited from class uk.ac.starlink.topcat.RowSubset

      `getName, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InverseRowSubset

          public InverseRowSubset​(RowSubset base)

      Constructor.
      Parameters:
        `base` - subset to be inverted

  - ### Method Detail

    - #### isIncluded

          public boolean isIncluded​(long lrow)

      Description copied from class: `RowSubset`
      Indicates whether a given row is in the subset or not.
      Specified by:
        `isIncluded` in class `RowSubset`
      Parameters:
        `lrow` - the index of the row in question
      Returns:
        `true` iff row `lrow` is to be included

    - #### getInvertedSubset

          public RowSubset getInvertedSubset()

      Returns the subset on which this one is based.
      Returns:
        complement of this subset